/* Output of mkerrcodes.awk.  DO NOT EDIT.  */

/* errnos.in - List of system error values.
   Copyright (C) 2003, 2004 g10 Code GmbH

   This file is part of libgpg-error.

   libgpg-error is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public License
   as published by the Free Software Foundation; either version 2.1 of
   the License, or (at your option) any later version.

   libgpg-error is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with libgpg-error; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.  */



#include <errno.h>
#ifdef _WIN32
#include <winsock2.h>
#endif

#ifdef E2BIG
E2BIG	GPG_ERR_E2BIG
#endif
#ifdef WSAE2BIG
WSAE2BIG	GPG_ERR_E2BIG
#endif
#ifdef EACCES
EACCES	GPG_ERR_EACCES
#endif
#ifdef WSAEACCES
WSAEACCES	GPG_ERR_EACCES
#endif
#ifdef EADDRINUSE
EADDRINUSE	GPG_ERR_EADDRINUSE
#endif
#ifdef WSAEADDRINUSE
WSAEADDRINUSE	GPG_ERR_EADDRINUSE
#endif
#ifdef EADDRNOTAVAIL
EADDRNOTAVAIL	GPG_ERR_EADDRNOTAVAIL
#endif
#ifdef WSAEADDRNOTAVAIL
WSAEADDRNOTAVAIL	GPG_ERR_EADDRNOTAVAIL
#endif
#ifdef EADV
EADV	GPG_ERR_EADV
#endif
#ifdef WSAEADV
WSAEADV	GPG_ERR_EADV
#endif
#ifdef EAFNOSUPPORT
EAFNOSUPPORT	GPG_ERR_EAFNOSUPPORT
#endif
#ifdef WSAEAFNOSUPPORT
WSAEAFNOSUPPORT	GPG_ERR_EAFNOSUPPORT
#endif
#ifdef EAGAIN
EAGAIN	GPG_ERR_EAGAIN
#endif
#ifdef WSAEAGAIN
WSAEAGAIN	GPG_ERR_EAGAIN
#endif
#ifdef EALREADY
EALREADY	GPG_ERR_EALREADY
#endif
#ifdef WSAEALREADY
WSAEALREADY	GPG_ERR_EALREADY
#endif
#ifdef EAUTH
EAUTH	GPG_ERR_EAUTH
#endif
#ifdef WSAEAUTH
WSAEAUTH	GPG_ERR_EAUTH
#endif
#ifdef EBACKGROUND
EBACKGROUND	GPG_ERR_EBACKGROUND
#endif
#ifdef WSAEBACKGROUND
WSAEBACKGROUND	GPG_ERR_EBACKGROUND
#endif
#ifdef EBADE
EBADE	GPG_ERR_EBADE
#endif
#ifdef WSAEBADE
WSAEBADE	GPG_ERR_EBADE
#endif
#ifdef EBADF
EBADF	GPG_ERR_EBADF
#endif
#ifdef WSAEBADF
WSAEBADF	GPG_ERR_EBADF
#endif
#ifdef EBADFD
EBADFD	GPG_ERR_EBADFD
#endif
#ifdef WSAEBADFD
WSAEBADFD	GPG_ERR_EBADFD
#endif
#ifdef EBADMSG
EBADMSG	GPG_ERR_EBADMSG
#endif
#ifdef WSAEBADMSG
WSAEBADMSG	GPG_ERR_EBADMSG
#endif
#ifdef EBADR
EBADR	GPG_ERR_EBADR
#endif
#ifdef WSAEBADR
WSAEBADR	GPG_ERR_EBADR
#endif
#ifdef EBADRPC
EBADRPC	GPG_ERR_EBADRPC
#endif
#ifdef WSAEBADRPC
WSAEBADRPC	GPG_ERR_EBADRPC
#endif
#ifdef EBADRQC
EBADRQC	GPG_ERR_EBADRQC
#endif
#ifdef WSAEBADRQC
WSAEBADRQC	GPG_ERR_EBADRQC
#endif
#ifdef EBADSLT
EBADSLT	GPG_ERR_EBADSLT
#endif
#ifdef WSAEBADSLT
WSAEBADSLT	GPG_ERR_EBADSLT
#endif
#ifdef EBFONT
EBFONT	GPG_ERR_EBFONT
#endif
#ifdef WSAEBFONT
WSAEBFONT	GPG_ERR_EBFONT
#endif
#ifdef EBUSY
EBUSY	GPG_ERR_EBUSY
#endif
#ifdef WSAEBUSY
WSAEBUSY	GPG_ERR_EBUSY
#endif
#ifdef ECANCELED
ECANCELED	GPG_ERR_ECANCELED
#endif
#ifdef WSAECANCELED
WSAECANCELED	GPG_ERR_ECANCELED
#endif
#ifdef ECHILD
ECHILD	GPG_ERR_ECHILD
#endif
#ifdef WSAECHILD
WSAECHILD	GPG_ERR_ECHILD
#endif
#ifdef ECHRNG
ECHRNG	GPG_ERR_ECHRNG
#endif
#ifdef WSAECHRNG
WSAECHRNG	GPG_ERR_ECHRNG
#endif
#ifdef ECOMM
ECOMM	GPG_ERR_ECOMM
#endif
#ifdef WSAECOMM
WSAECOMM	GPG_ERR_ECOMM
#endif
#ifdef ECONNABORTED
ECONNABORTED	GPG_ERR_ECONNABORTED
#endif
#ifdef WSAECONNABORTED
WSAECONNABORTED	GPG_ERR_ECONNABORTED
#endif
#ifdef ECONNREFUSED
ECONNREFUSED	GPG_ERR_ECONNREFUSED
#endif
#ifdef WSAECONNREFUSED
WSAECONNREFUSED	GPG_ERR_ECONNREFUSED
#endif
#ifdef ECONNRESET
ECONNRESET	GPG_ERR_ECONNRESET
#endif
#ifdef WSAECONNRESET
WSAECONNRESET	GPG_ERR_ECONNRESET
#endif
#ifdef ED
ED	GPG_ERR_ED
#endif
#ifdef WSAED
WSAED	GPG_ERR_ED
#endif
#ifdef EDEADLK
EDEADLK	GPG_ERR_EDEADLK
#endif
#ifdef WSAEDEADLK
WSAEDEADLK	GPG_ERR_EDEADLK
#endif
#ifdef EDEADLOCK
EDEADLOCK	GPG_ERR_EDEADLOCK
#endif
#ifdef WSAEDEADLOCK
WSAEDEADLOCK	GPG_ERR_EDEADLOCK
#endif
#ifdef EDESTADDRREQ
EDESTADDRREQ	GPG_ERR_EDESTADDRREQ
#endif
#ifdef WSAEDESTADDRREQ
WSAEDESTADDRREQ	GPG_ERR_EDESTADDRREQ
#endif
#ifdef EDIED
EDIED	GPG_ERR_EDIED
#endif
#ifdef WSAEDIED
WSAEDIED	GPG_ERR_EDIED
#endif
#ifdef EDOM
EDOM	GPG_ERR_EDOM
#endif
#ifdef WSAEDOM
WSAEDOM	GPG_ERR_EDOM
#endif
#ifdef EDOTDOT
EDOTDOT	GPG_ERR_EDOTDOT
#endif
#ifdef WSAEDOTDOT
WSAEDOTDOT	GPG_ERR_EDOTDOT
#endif
#ifdef EDQUOT
EDQUOT	GPG_ERR_EDQUOT
#endif
#ifdef WSAEDQUOT
WSAEDQUOT	GPG_ERR_EDQUOT
#endif
#ifdef EEXIST
EEXIST	GPG_ERR_EEXIST
#endif
#ifdef WSAEEXIST
WSAEEXIST	GPG_ERR_EEXIST
#endif
#ifdef EFAULT
EFAULT	GPG_ERR_EFAULT
#endif
#ifdef WSAEFAULT
WSAEFAULT	GPG_ERR_EFAULT
#endif
#ifdef EFBIG
EFBIG	GPG_ERR_EFBIG
#endif
#ifdef WSAEFBIG
WSAEFBIG	GPG_ERR_EFBIG
#endif
#ifdef EFTYPE
EFTYPE	GPG_ERR_EFTYPE
#endif
#ifdef WSAEFTYPE
WSAEFTYPE	GPG_ERR_EFTYPE
#endif
#ifdef EGRATUITOUS
EGRATUITOUS	GPG_ERR_EGRATUITOUS
#endif
#ifdef WSAEGRATUITOUS
WSAEGRATUITOUS	GPG_ERR_EGRATUITOUS
#endif
#ifdef EGREGIOUS
EGREGIOUS	GPG_ERR_EGREGIOUS
#endif
#ifdef WSAEGREGIOUS
WSAEGREGIOUS	GPG_ERR_EGREGIOUS
#endif
#ifdef EHOSTDOWN
EHOSTDOWN	GPG_ERR_EHOSTDOWN
#endif
#ifdef WSAEHOSTDOWN
WSAEHOSTDOWN	GPG_ERR_EHOSTDOWN
#endif
#ifdef EHOSTUNREACH
EHOSTUNREACH	GPG_ERR_EHOSTUNREACH
#endif
#ifdef WSAEHOSTUNREACH
WSAEHOSTUNREACH	GPG_ERR_EHOSTUNREACH
#endif
#ifdef EIDRM
EIDRM	GPG_ERR_EIDRM
#endif
#ifdef WSAEIDRM
WSAEIDRM	GPG_ERR_EIDRM
#endif
#ifdef EIEIO
EIEIO	GPG_ERR_EIEIO
#endif
#ifdef WSAEIEIO
WSAEIEIO	GPG_ERR_EIEIO
#endif
#ifdef EILSEQ
EILSEQ	GPG_ERR_EILSEQ
#endif
#ifdef WSAEILSEQ
WSAEILSEQ	GPG_ERR_EILSEQ
#endif
#ifdef EINPROGRESS
EINPROGRESS	GPG_ERR_EINPROGRESS
#endif
#ifdef WSAEINPROGRESS
WSAEINPROGRESS	GPG_ERR_EINPROGRESS
#endif
#ifdef EINTR
EINTR	GPG_ERR_EINTR
#endif
#ifdef WSAEINTR
WSAEINTR	GPG_ERR_EINTR
#endif
#ifdef EINVAL
EINVAL	GPG_ERR_EINVAL
#endif
#ifdef WSAEINVAL
WSAEINVAL	GPG_ERR_EINVAL
#endif
#ifdef EIO
EIO	GPG_ERR_EIO
#endif
#ifdef WSAEIO
WSAEIO	GPG_ERR_EIO
#endif
#ifdef EISCONN
EISCONN	GPG_ERR_EISCONN
#endif
#ifdef WSAEISCONN
WSAEISCONN	GPG_ERR_EISCONN
#endif
#ifdef EISDIR
EISDIR	GPG_ERR_EISDIR
#endif
#ifdef WSAEISDIR
WSAEISDIR	GPG_ERR_EISDIR
#endif
#ifdef EISNAM
EISNAM	GPG_ERR_EISNAM
#endif
#ifdef WSAEISNAM
WSAEISNAM	GPG_ERR_EISNAM
#endif
#ifdef EL2HLT
EL2HLT	GPG_ERR_EL2HLT
#endif
#ifdef WSAEL2HLT
WSAEL2HLT	GPG_ERR_EL2HLT
#endif
#ifdef EL2NSYNC
EL2NSYNC	GPG_ERR_EL2NSYNC
#endif
#ifdef WSAEL2NSYNC
WSAEL2NSYNC	GPG_ERR_EL2NSYNC
#endif
#ifdef EL3HLT
EL3HLT	GPG_ERR_EL3HLT
#endif
#ifdef WSAEL3HLT
WSAEL3HLT	GPG_ERR_EL3HLT
#endif
#ifdef EL3RST
EL3RST	GPG_ERR_EL3RST
#endif
#ifdef WSAEL3RST
WSAEL3RST	GPG_ERR_EL3RST
#endif
#ifdef ELIBACC
ELIBACC	GPG_ERR_ELIBACC
#endif
#ifdef WSAELIBACC
WSAELIBACC	GPG_ERR_ELIBACC
#endif
#ifdef ELIBBAD
ELIBBAD	GPG_ERR_ELIBBAD
#endif
#ifdef WSAELIBBAD
WSAELIBBAD	GPG_ERR_ELIBBAD
#endif
#ifdef ELIBEXEC
ELIBEXEC	GPG_ERR_ELIBEXEC
#endif
#ifdef WSAELIBEXEC
WSAELIBEXEC	GPG_ERR_ELIBEXEC
#endif
#ifdef ELIBMAX
ELIBMAX	GPG_ERR_ELIBMAX
#endif
#ifdef WSAELIBMAX
WSAELIBMAX	GPG_ERR_ELIBMAX
#endif
#ifdef ELIBSCN
ELIBSCN	GPG_ERR_ELIBSCN
#endif
#ifdef WSAELIBSCN
WSAELIBSCN	GPG_ERR_ELIBSCN
#endif
#ifdef ELNRNG
ELNRNG	GPG_ERR_ELNRNG
#endif
#ifdef WSAELNRNG
WSAELNRNG	GPG_ERR_ELNRNG
#endif
#ifdef ELOOP
ELOOP	GPG_ERR_ELOOP
#endif
#ifdef WSAELOOP
WSAELOOP	GPG_ERR_ELOOP
#endif
#ifdef EMEDIUMTYPE
EMEDIUMTYPE	GPG_ERR_EMEDIUMTYPE
#endif
#ifdef WSAEMEDIUMTYPE
WSAEMEDIUMTYPE	GPG_ERR_EMEDIUMTYPE
#endif
#ifdef EMFILE
EMFILE	GPG_ERR_EMFILE
#endif
#ifdef WSAEMFILE
WSAEMFILE	GPG_ERR_EMFILE
#endif
#ifdef EMLINK
EMLINK	GPG_ERR_EMLINK
#endif
#ifdef WSAEMLINK
WSAEMLINK	GPG_ERR_EMLINK
#endif
#ifdef EMSGSIZE
EMSGSIZE	GPG_ERR_EMSGSIZE
#endif
#ifdef WSAEMSGSIZE
WSAEMSGSIZE	GPG_ERR_EMSGSIZE
#endif
#ifdef EMULTIHOP
EMULTIHOP	GPG_ERR_EMULTIHOP
#endif
#ifdef WSAEMULTIHOP
WSAEMULTIHOP	GPG_ERR_EMULTIHOP
#endif
#ifdef ENAMETOOLONG
ENAMETOOLONG	GPG_ERR_ENAMETOOLONG
#endif
#ifdef WSAENAMETOOLONG
WSAENAMETOOLONG	GPG_ERR_ENAMETOOLONG
#endif
#ifdef ENAVAIL
ENAVAIL	GPG_ERR_ENAVAIL
#endif
#ifdef WSAENAVAIL
WSAENAVAIL	GPG_ERR_ENAVAIL
#endif
#ifdef ENEEDAUTH
ENEEDAUTH	GPG_ERR_ENEEDAUTH
#endif
#ifdef WSAENEEDAUTH
WSAENEEDAUTH	GPG_ERR_ENEEDAUTH
#endif
#ifdef ENETDOWN
ENETDOWN	GPG_ERR_ENETDOWN
#endif
#ifdef WSAENETDOWN
WSAENETDOWN	GPG_ERR_ENETDOWN
#endif
#ifdef ENETRESET
ENETRESET	GPG_ERR_ENETRESET
#endif
#ifdef WSAENETRESET
WSAENETRESET	GPG_ERR_ENETRESET
#endif
#ifdef ENETUNREACH
ENETUNREACH	GPG_ERR_ENETUNREACH
#endif
#ifdef WSAENETUNREACH
WSAENETUNREACH	GPG_ERR_ENETUNREACH
#endif
#ifdef ENFILE
ENFILE	GPG_ERR_ENFILE
#endif
#ifdef WSAENFILE
WSAENFILE	GPG_ERR_ENFILE
#endif
#ifdef ENOANO
ENOANO	GPG_ERR_ENOANO
#endif
#ifdef WSAENOANO
WSAENOANO	GPG_ERR_ENOANO
#endif
#ifdef ENOBUFS
ENOBUFS	GPG_ERR_ENOBUFS
#endif
#ifdef WSAENOBUFS
WSAENOBUFS	GPG_ERR_ENOBUFS
#endif
#ifdef ENOCSI
ENOCSI	GPG_ERR_ENOCSI
#endif
#ifdef WSAENOCSI
WSAENOCSI	GPG_ERR_ENOCSI
#endif
#ifdef ENODATA
ENODATA	GPG_ERR_ENODATA
#endif
#ifdef WSAENODATA
WSAENODATA	GPG_ERR_ENODATA
#endif
#ifdef ENODEV
ENODEV	GPG_ERR_ENODEV
#endif
#ifdef WSAENODEV
WSAENODEV	GPG_ERR_ENODEV
#endif
#ifdef ENOENT
ENOENT	GPG_ERR_ENOENT
#endif
#ifdef WSAENOENT
WSAENOENT	GPG_ERR_ENOENT
#endif
#ifdef ENOEXEC
ENOEXEC	GPG_ERR_ENOEXEC
#endif
#ifdef WSAENOEXEC
WSAENOEXEC	GPG_ERR_ENOEXEC
#endif
#ifdef ENOLCK
ENOLCK	GPG_ERR_ENOLCK
#endif
#ifdef WSAENOLCK
WSAENOLCK	GPG_ERR_ENOLCK
#endif
#ifdef ENOLINK
ENOLINK	GPG_ERR_ENOLINK
#endif
#ifdef WSAENOLINK
WSAENOLINK	GPG_ERR_ENOLINK
#endif
#ifdef ENOMEDIUM
ENOMEDIUM	GPG_ERR_ENOMEDIUM
#endif
#ifdef WSAENOMEDIUM
WSAENOMEDIUM	GPG_ERR_ENOMEDIUM
#endif
#ifdef ENOMEM
ENOMEM	GPG_ERR_ENOMEM
#endif
#ifdef WSAENOMEM
WSAENOMEM	GPG_ERR_ENOMEM
#endif
#ifdef ENOMSG
ENOMSG	GPG_ERR_ENOMSG
#endif
#ifdef WSAENOMSG
WSAENOMSG	GPG_ERR_ENOMSG
#endif
#ifdef ENONET
ENONET	GPG_ERR_ENONET
#endif
#ifdef WSAENONET
WSAENONET	GPG_ERR_ENONET
#endif
#ifdef ENOPKG
ENOPKG	GPG_ERR_ENOPKG
#endif
#ifdef WSAENOPKG
WSAENOPKG	GPG_ERR_ENOPKG
#endif
#ifdef ENOPROTOOPT
ENOPROTOOPT	GPG_ERR_ENOPROTOOPT
#endif
#ifdef WSAENOPROTOOPT
WSAENOPROTOOPT	GPG_ERR_ENOPROTOOPT
#endif
#ifdef ENOSPC
ENOSPC	GPG_ERR_ENOSPC
#endif
#ifdef WSAENOSPC
WSAENOSPC	GPG_ERR_ENOSPC
#endif
#ifdef ENOSR
ENOSR	GPG_ERR_ENOSR
#endif
#ifdef WSAENOSR
WSAENOSR	GPG_ERR_ENOSR
#endif
#ifdef ENOSTR
ENOSTR	GPG_ERR_ENOSTR
#endif
#ifdef WSAENOSTR
WSAENOSTR	GPG_ERR_ENOSTR
#endif
#ifdef ENOSYS
ENOSYS	GPG_ERR_ENOSYS
#endif
#ifdef WSAENOSYS
WSAENOSYS	GPG_ERR_ENOSYS
#endif
#ifdef ENOTBLK
ENOTBLK	GPG_ERR_ENOTBLK
#endif
#ifdef WSAENOTBLK
WSAENOTBLK	GPG_ERR_ENOTBLK
#endif
#ifdef ENOTCONN
ENOTCONN	GPG_ERR_ENOTCONN
#endif
#ifdef WSAENOTCONN
WSAENOTCONN	GPG_ERR_ENOTCONN
#endif
#ifdef ENOTDIR
ENOTDIR	GPG_ERR_ENOTDIR
#endif
#ifdef WSAENOTDIR
WSAENOTDIR	GPG_ERR_ENOTDIR
#endif
#ifdef ENOTEMPTY
ENOTEMPTY	GPG_ERR_ENOTEMPTY
#endif
#ifdef WSAENOTEMPTY
WSAENOTEMPTY	GPG_ERR_ENOTEMPTY
#endif
#ifdef ENOTNAM
ENOTNAM	GPG_ERR_ENOTNAM
#endif
#ifdef WSAENOTNAM
WSAENOTNAM	GPG_ERR_ENOTNAM
#endif
#ifdef ENOTSOCK
ENOTSOCK	GPG_ERR_ENOTSOCK
#endif
#ifdef WSAENOTSOCK
WSAENOTSOCK	GPG_ERR_ENOTSOCK
#endif
#ifdef ENOTSUP
ENOTSUP	GPG_ERR_ENOTSUP
#endif
#ifdef WSAENOTSUP
WSAENOTSUP	GPG_ERR_ENOTSUP
#endif
#ifdef ENOTTY
ENOTTY	GPG_ERR_ENOTTY
#endif
#ifdef WSAENOTTY
WSAENOTTY	GPG_ERR_ENOTTY
#endif
#ifdef ENOTUNIQ
ENOTUNIQ	GPG_ERR_ENOTUNIQ
#endif
#ifdef WSAENOTUNIQ
WSAENOTUNIQ	GPG_ERR_ENOTUNIQ
#endif
#ifdef ENXIO
ENXIO	GPG_ERR_ENXIO
#endif
#ifdef WSAENXIO
WSAENXIO	GPG_ERR_ENXIO
#endif
#ifdef EOPNOTSUPP
EOPNOTSUPP	GPG_ERR_EOPNOTSUPP
#endif
#ifdef WSAEOPNOTSUPP
WSAEOPNOTSUPP	GPG_ERR_EOPNOTSUPP
#endif
#ifdef EOVERFLOW
EOVERFLOW	GPG_ERR_EOVERFLOW
#endif
#ifdef WSAEOVERFLOW
WSAEOVERFLOW	GPG_ERR_EOVERFLOW
#endif
#ifdef EPERM
EPERM	GPG_ERR_EPERM
#endif
#ifdef WSAEPERM
WSAEPERM	GPG_ERR_EPERM
#endif
#ifdef EPFNOSUPPORT
EPFNOSUPPORT	GPG_ERR_EPFNOSUPPORT
#endif
#ifdef WSAEPFNOSUPPORT
WSAEPFNOSUPPORT	GPG_ERR_EPFNOSUPPORT
#endif
#ifdef EPIPE
EPIPE	GPG_ERR_EPIPE
#endif
#ifdef WSAEPIPE
WSAEPIPE	GPG_ERR_EPIPE
#endif
#ifdef EPROCLIM
EPROCLIM	GPG_ERR_EPROCLIM
#endif
#ifdef WSAEPROCLIM
WSAEPROCLIM	GPG_ERR_EPROCLIM
#endif
#ifdef EPROCUNAVAIL
EPROCUNAVAIL	GPG_ERR_EPROCUNAVAIL
#endif
#ifdef WSAEPROCUNAVAIL
WSAEPROCUNAVAIL	GPG_ERR_EPROCUNAVAIL
#endif
#ifdef EPROGMISMATCH
EPROGMISMATCH	GPG_ERR_EPROGMISMATCH
#endif
#ifdef WSAEPROGMISMATCH
WSAEPROGMISMATCH	GPG_ERR_EPROGMISMATCH
#endif
#ifdef EPROGUNAVAIL
EPROGUNAVAIL	GPG_ERR_EPROGUNAVAIL
#endif
#ifdef WSAEPROGUNAVAIL
WSAEPROGUNAVAIL	GPG_ERR_EPROGUNAVAIL
#endif
#ifdef EPROTO
EPROTO	GPG_ERR_EPROTO
#endif
#ifdef WSAEPROTO
WSAEPROTO	GPG_ERR_EPROTO
#endif
#ifdef EPROTONOSUPPORT
EPROTONOSUPPORT	GPG_ERR_EPROTONOSUPPORT
#endif
#ifdef WSAEPROTONOSUPPORT
WSAEPROTONOSUPPORT	GPG_ERR_EPROTONOSUPPORT
#endif
#ifdef EPROTOTYPE
EPROTOTYPE	GPG_ERR_EPROTOTYPE
#endif
#ifdef WSAEPROTOTYPE
WSAEPROTOTYPE	GPG_ERR_EPROTOTYPE
#endif
#ifdef ERANGE
ERANGE	GPG_ERR_ERANGE
#endif
#ifdef WSAERANGE
WSAERANGE	GPG_ERR_ERANGE
#endif
#ifdef EREMCHG
EREMCHG	GPG_ERR_EREMCHG
#endif
#ifdef WSAEREMCHG
WSAEREMCHG	GPG_ERR_EREMCHG
#endif
#ifdef EREMOTE
EREMOTE	GPG_ERR_EREMOTE
#endif
#ifdef WSAEREMOTE
WSAEREMOTE	GPG_ERR_EREMOTE
#endif
#ifdef EREMOTEIO
EREMOTEIO	GPG_ERR_EREMOTEIO
#endif
#ifdef WSAEREMOTEIO
WSAEREMOTEIO	GPG_ERR_EREMOTEIO
#endif
#ifdef ERESTART
ERESTART	GPG_ERR_ERESTART
#endif
#ifdef WSAERESTART
WSAERESTART	GPG_ERR_ERESTART
#endif
#ifdef EROFS
EROFS	GPG_ERR_EROFS
#endif
#ifdef WSAEROFS
WSAEROFS	GPG_ERR_EROFS
#endif
#ifdef ERPCMISMATCH
ERPCMISMATCH	GPG_ERR_ERPCMISMATCH
#endif
#ifdef WSAERPCMISMATCH
WSAERPCMISMATCH	GPG_ERR_ERPCMISMATCH
#endif
#ifdef ESHUTDOWN
ESHUTDOWN	GPG_ERR_ESHUTDOWN
#endif
#ifdef WSAESHUTDOWN
WSAESHUTDOWN	GPG_ERR_ESHUTDOWN
#endif
#ifdef ESOCKTNOSUPPORT
ESOCKTNOSUPPORT	GPG_ERR_ESOCKTNOSUPPORT
#endif
#ifdef WSAESOCKTNOSUPPORT
WSAESOCKTNOSUPPORT	GPG_ERR_ESOCKTNOSUPPORT
#endif
#ifdef ESPIPE
ESPIPE	GPG_ERR_ESPIPE
#endif
#ifdef WSAESPIPE
WSAESPIPE	GPG_ERR_ESPIPE
#endif
#ifdef ESRCH
ESRCH	GPG_ERR_ESRCH
#endif
#ifdef WSAESRCH
WSAESRCH	GPG_ERR_ESRCH
#endif
#ifdef ESRMNT
ESRMNT	GPG_ERR_ESRMNT
#endif
#ifdef WSAESRMNT
WSAESRMNT	GPG_ERR_ESRMNT
#endif
#ifdef ESTALE
ESTALE	GPG_ERR_ESTALE
#endif
#ifdef WSAESTALE
WSAESTALE	GPG_ERR_ESTALE
#endif
#ifdef ESTRPIPE
ESTRPIPE	GPG_ERR_ESTRPIPE
#endif
#ifdef WSAESTRPIPE
WSAESTRPIPE	GPG_ERR_ESTRPIPE
#endif
#ifdef ETIME
ETIME	GPG_ERR_ETIME
#endif
#ifdef WSAETIME
WSAETIME	GPG_ERR_ETIME
#endif
#ifdef ETIMEDOUT
ETIMEDOUT	GPG_ERR_ETIMEDOUT
#endif
#ifdef WSAETIMEDOUT
WSAETIMEDOUT	GPG_ERR_ETIMEDOUT
#endif
#ifdef ETOOMANYREFS
ETOOMANYREFS	GPG_ERR_ETOOMANYREFS
#endif
#ifdef WSAETOOMANYREFS
WSAETOOMANYREFS	GPG_ERR_ETOOMANYREFS
#endif
#ifdef ETXTBSY
ETXTBSY	GPG_ERR_ETXTBSY
#endif
#ifdef WSAETXTBSY
WSAETXTBSY	GPG_ERR_ETXTBSY
#endif
#ifdef EUCLEAN
EUCLEAN	GPG_ERR_EUCLEAN
#endif
#ifdef WSAEUCLEAN
WSAEUCLEAN	GPG_ERR_EUCLEAN
#endif
#ifdef EUNATCH
EUNATCH	GPG_ERR_EUNATCH
#endif
#ifdef WSAEUNATCH
WSAEUNATCH	GPG_ERR_EUNATCH
#endif
#ifdef EUSERS
EUSERS	GPG_ERR_EUSERS
#endif
#ifdef WSAEUSERS
WSAEUSERS	GPG_ERR_EUSERS
#endif
#ifdef EWOULDBLOCK
EWOULDBLOCK	GPG_ERR_EWOULDBLOCK
#endif
#ifdef WSAEWOULDBLOCK
WSAEWOULDBLOCK	GPG_ERR_EWOULDBLOCK
#endif
#ifdef EXDEV
EXDEV	GPG_ERR_EXDEV
#endif
#ifdef WSAEXDEV
WSAEXDEV	GPG_ERR_EXDEV
#endif
#ifdef EXFULL
EXFULL	GPG_ERR_EXFULL
#endif
#ifdef WSAEXFULL
WSAEXFULL	GPG_ERR_EXFULL
#endif
